About Serial & Lot Number Processing

Organizations that have serialized or lot-tracked inventory can spend a significant amount of time entering this information into Microsoft Dynamics GP.

Serial & Lot Number Processing (SLNP) is integrated with Microsoft Dynamics GP to make the process of entering serial and lot numbers more efficient in the GP, POP, SOP, Inventory, and RMA modules, and in third-party manufacturing add-ons.

With the Copy and Paste function in SLNP, you can efficiently perform the following activities:

  • Copy serial/lot numbers from any software window, and paste the numbers into any Transaction Entry window in Microsoft Dynamics GP
  • Copy serial/lot numbers from any file, and paste the numbers into any Transaction Entry window in Microsoft Dynamics GP
  • Assign attributes to serial numbers
  • Replace serial numbers
  • Reassign removed serial numbers
  • Add lot numbers

For the latest documentation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link.

From version 1.50.0.0 onwards, PLM supports New Zealand and GB/United Kingdom localization.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.
The topic is incomplete.
Could not find the right topic.

Send us your suggestions on how to improve this article.

C H M Footer Table
Binary Stream Portal Copyright © 2025 Binary Stream Software Inc.


What's New or Changed

Review the information on this screen to see what's new or changed in the latest versions of Serial & Lot Number Processing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

2025

Closed Build 1401 (October 2025) for Microsoft Dynamics GP 18.8
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP2018.7 to GP2018.8 | N/A | N/A | N/A

2024

Closed Build 1301 (October 2024) for Microsoft Dynamics GP 18.7
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP2018.6 to GP2018.7 | N/A | N/A | N/A

2023

Closed Build 1201 (October 2023) for Microsoft Dynamics GP 18.6
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP 2018.5 to GP 2018.6. | N/A | N/A | N/A

2022

Closed Build 1101 (November 2022) for Microsoft Dynamics GP 18.5
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP 2018.4 to GP 2018.5. |  |  |

2021

Closed Build 1001 (November 2021) for Microsoft Dynamics GP 18.4
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP 2018.3 (Build 903) to GP 2018.4. |  |  |
Closed Build 903 (April 2021) for Microsoft Dynamics GP 18.3
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fix : Fixed the Copy and Paste issue of Quantity entered in Decimals. | Transactions > Inventory> Transaction Entry |  |
Closed Build 702 (April 2021) for Microsoft Dynamics GP 2018 SP0
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fix : Fixed the Copy and Paste issue of Quantity entered in Decimals. | Transactions > Inventory> Transaction Entry |  |
Closed Build 902 (January 2021) for Microsoft Dynamics GP 18.3
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: Fixed an Issue related to showing warning message for remaining days in expiration of trial keys. |  |  |
Updated the company address in the About Binary Stream Dialog. |  |  |

2020

Closed Build 901 (December 2020) for Microsoft Dynamics GP 18.3
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from Microsoft Dynamics GP 2018.2 (Build 901) and Microsoft Dynamics GP 2018.3. |  |  |
Closed Build 801 (January 2020) for Microsoft Dynamics GP 18.2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from Microsoft Dynamics GP 2018 SP0 (Build 701) to Microsoft Dynamics GP 18.2 . |  |  |

2018

Closed Build 701 (November 2018) for Microsoft Dynamics GP 2018 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Microsoft Dynamics GP 2018 SP0 (Build 701) is Compatible with Microsoft Dynamics GP 2018 R2 . |  |  |
Closed Build 701 (February 2018) for Microsoft Dynamics GP 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from Microsoft Dynamics GP 2016 (Build 602) to Microsoft Dynamics GP 2018 SP0 (Build 701). |  |  |

2017

Closed Build 602 (October 2017) for Microsoft Dynamics GP 2016 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Process file option on serial copy / paste window was not working with web client. |  |  |

2016

Closed Build 601 (June 2016) for Microsoft Dynamics GP 2016 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from Microsoft Dynamics GP 2015 R2 - Build 504 to Microsoft Dynamics GP 2016 RTM - Build 601. |  |  |
Closed Build 504 (January 2016) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with serial number validation on RMA Receiving window. |  |  |
Closed Build 402 (January 2016) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with serial number validation on RMA Receiving window. |  |  |

2015

Closed Build 503 (September 2015) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Multi-Bin validation on In-Transit Serial Number Entry window |  |  |
Closed Build 502 (August 2015) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from Microsoft Dynamics GP 2015 (Build 501) to Microsoft Dynamics GP 2015 R2. |  |  |

2014

Closed Build 401 (September 2014) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP2013SP2 - Build 304 to GP2013R2. |  |  |

See also

Known Issues and Limitations

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Known Issues and Limitations

The following list of known issues and limitations are in the current versions of Serial & Lot Number Processing.

For the most current information about the latest version, see the Readme file that is included with the installation file.

  • Alternate/Modified Forms and Reports window

    When you use this window to select to use the alternate window for any Binary Stream program, you can usually see which Microsoft Dynamics GP windows have alternate Binary Stream windows.

    For example, when you set Product to Serial & Lot Number Processing, you can see all the modules and windows where you can select the Binary Stream window.

    However, a known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available.

    If you have multiple programs that have an alternate window for the same Microsoft Dynamics GP window and you have already selected the alternate window for one of the programs, the list of windows for a different program does not show all the current windows that have an alternate window.

    For example, you have two Binary Stream programs installed, Multi-Entity Management and Property Management. In the Alternate/Modified Forms and Reports window, you already selected to use the alternate Multi-Entity Management window for the Receivables Transaction Entry window. When you set Product to Property Management, the Receivables Transaction Entry window does not appear in the list for you to select the alternate window.

    To be able to see all windows for a particular program, in the Alternate/Modified Forms and Reports window, set Product to All Products. You can then expand the modules to see which windows have the alternate window you want to use. Closed View image.

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Concepts

Articles within this category provide background and processing information on features within SLNP.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing and Updating Serial & Lot Number Processing

Who Performs the Installation?

A system administrator (or system owner) should install and configure the software in the Microsoft Dynamics GP environment.

Typical installation tasks include the following:

  • Downloading the software files
  • Extracting the files from the compressed (zipped) folder
  • Installing the software in Windows
  • Installing the program in Microsoft Dynamics GP
  • Registering the software
  • Enabling alternate forms and reports
  • Setting up user access to forms and reports
  • Setting up shortcuts to software windows

Installation Documentation

To install or update Serial & Lot Number Processing, visit the Binary Stream Portal (https://portal.binarystream.com/) External link , and review the installation documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Serial & Lot Number Processing

Who Performs the Setup?

After implementation, a system administrator (or system owner) typically takes over the day-to-day system and setup adjustments for the software in your Microsoft Dynamics GP environment.

Caution: Make sure that users do not enter transactions while you change setup options. If transactions are entered during the time you change the setup options, the integrity of the transaction data might be compromised.

Tip: As a best practice, make any changes to the setup options when all users are logged off. For example, notify all users a few days in advance indicating that changes to the system will be made and that the system is not available during that specified time frame.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Windows

An alternate or custom window is a standard Microsoft Dynamics GP window that has additional boxes or buttons that are specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate window to enter information specific to the program, the data is saved in the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

For some windows, if an alternate window is not used, an extra window for the program opens so that you can enter specific data for the program.

Caution: If the alternate window is not used or the data integration is performed only to the Microsoft Dynamics GP table, data is not saved to the parallel table, which can compromise your data or cause functionality issues.

To be able to use an alternate (or custom) window, the system administrator must select to use the alternate window in the Alternate/Modified Forms and Reports window.

Notes:

  • If you are not able to use the correct window for Serial & Lot Number Processing, you cannot correctly enter and reuse data or use the functionality in Serial & Lot Number Processing.
  • For some third‑party programs , the alternate window for Serial & Lot Number Processing is not available due to conflicts. For programs commonly used with Serial & Lot Number Processing, an extra window option exists. In these cases, use the alternate window for the third-party program.

    • If an extra window does not exist, contact Binary Stream to discuss possible options.

Security for Alternate Windows

Ensure that you set security for all alternate windows for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Reports

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Reports

An alternate or custom report is a standard Microsoft Dynamics GP report that has additional information that is specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate report to display information specific to the program, the information is from the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

You can use Report Writer to customize a standard Microsoft Dynamics GP report or a Serial & Lot Number Processing alternate report so that the report shows all the data you want to see.

To be able to use an alternate (or custom) report, the system administrator must select to use the alternate report in the Alternate/Modified Forms and Reports window.

Security for Alternate Reports

Ensure that you set security to all alternate reports for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extra Windows

An extra window is a secondary window that opens when a standard Microsoft Dynamics GP window is opened. You use the extra window to enter and save information for the transaction that is specific to the program. The information from the extra window is then saved in the parallel table and is used to create functionality.

Extra windows are used in the following situations:

  • The alternate window is assigned to another program.

    • Note icon. Note: Extra windows are not available for every alternate window - only windows in which conflicts occur.

  • Certain Microsoft Dynamics GP modules that are supported only use extra windows.

The extra window always opens when the standard Microsoft Dynamics GP window is opened. You can select OK to close the extra window. However, as a best practice, do not close the extra window directly. Instead, when you are finished with the main Microsoft Dynamics GP window, close it and the extra window will also close.

Security for Extra Windows

Ensure that you set security to all extra windows for the modules that you use. If you do not set the security, the extra window does not appear and data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Alternate or Custom Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Common Window Buttons

Many of the windows include buttons described only in this section to reduce repetition in the document. For more information on standard features that are used in the windows throughout Microsoft Dynamics GP, see the article named Common window elements in the Microsoft Dynamics GP documentation.

Button Name | Icon | Description
Cancel |  | Closes the window without saving any changes.
Clear |  | Clears all boxes in the window.
Copy |  | Copies the selected data, or all data in the window, to the clipboard.
Delete |  | Removes the current record from its associated table. Deletes the current record.
Expansion | Expansion Arrow icon. | Opens the expansion window associated with the field or option.
Find |  | Opens the associated find window.
Lookup |  | Opens the associated Lookup window for a field.
Note |  | Opens the associated note window for a field.
OK |  | In a setup window, saves the data to its associated table. In an Inquiry, closes the window. You do not usually select OK to close a window, except when in an Inquiry window.
Print |  | Prints the report associated with the window.
Redisplay |  | Updates the view of the contents in the window.
Save |  | In a Cards or Maintenance window, saves the data or record to its associated table.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Examples

Articles within this category provide examples on a feature or processing information in SLNP.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


File Format without Attributes: Example

The following example shows a user-defined file for importing data with serial numbers. Allow Serial Attributes on the Serial Mask Setup window is cleared.

Each line is a serial number:

See also

File Format with Attributes: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


File Format with Attributes: Example

The following example shows a user-defined file for importing data with serial numbers and attributes. Allow Serial Attributes on the Serial Mask Setup window is selected.

In this file, the first row in the file is hte column heading:

Serial Number, Attribute Field Name1, Attribute Field Name2…Attribute Field Name40…

The first column heading is Serial Number, and the rest of the columns in the first row are the serial attribute labels, which are the same as the field names in the Serial Attribute Setup window for the item. If the field name is not the same, the line from the import file is not imported.

The second and subsequent rows in the file are data:

  • The first column is the serial number, which is standard in Microsoft Dynamics GP.
  • The second and subsequent columns contain the serial attribute values.
    Note icon. Note: If a constant exists in the columns, it is not imported. Instead, the default constant value from the Serial Attribute Setup window for the item is used.

Serial attributes for a serial number must be grouped together:

See also

File Format without Attributes: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Workflows and Procedures

Articles within this category provide step-by-step instructions for using a feature. These instructions tend to be window based.

Workflows provide overall instructions on how to use a feature, which include setup and processing instructions. Workflows often direct you to other window-specific instructions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using the Area Page

You can get direct access to the SLNP custom menus from the SLNP area page.

  • In your Microsoft Dynamics GP Home area page, in the Navigation Pane, select the tab for the BSSI program you want to use.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Window Shortcuts

You can set up shortcuts to SLNP windows in the Microsoft Dynamics GP Navigation Pane.

Note icon. Note: After you update the software, you might have to recreate your shortcuts.

To create a shortcut to a window, follow these steps:

  1. On the upper-right corner of the Microsoft Dynamics GP window, select Layout [image], and select Navigation Pane to show the Navigation pane on the left side of the main window.
  2. In the Navigation pane, expand the Shortcuts folder so you can see the items below it.
  3. Right-click the Shortcuts folder and select Add > Folder.
    A folder named New Folder appears below the Shortcuts folder.
  4. Rename the new folder, by right-clicking it and selecting Rename.
    For example, rename the folder to SLNP.
  5. Right-click on the new folder and select Add > Add Window.
  6. In the Add Window Shortcut window, in the Available Windows list, expand the Serial & Lot Number Processing node to show all of the Microsoft Dynamics GP series.
  7. For each SLNP window to which you want to add a shortcut, do the following:
    1. Expand the series node.
    2. Select the window name.
    3. Select Add.
  8. When you have finished adding shortcuts, select Done.
  9. Go to the Navigation pane, and expand the new folder to see the window shortcuts you added.

Tip: For system administrators, it is useful to add shortcuts to the BSSI Installation Wizard, BSSI Registration, and the BSSI About Box windows. When you add a shortcut for a window, you can find these windows under the Serial & Lot Number Processing node, and then under the Project series.

If you already have a window open, you can create a shortcut directly from the open window:

  1. Select the window.
  2. From File, select Add to Shortcuts.
    The new shortcut appears under the root folder of the Navigation pane.
  3. Drag the shortcut to the folder where you want the shortcut to appear.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copying and Pasting Serial or Lot Numbers

To copy and paste serial or lot numbers, follow these steps:

  1. Open the Copy and Paste window from a Serial/Lot Number Entry window.
  2. Open the file that contains the serial or lot numbers you want.
  3. Copy the serial or lot numbers from the file, and then paste them in the Text box on the Copy and Paste window.
  4. Edit or delete the serial or lot numbers as needed.
  5. Select Process Text, which transfers the serial or lot numbers to the Serial/Lot Number Entry window.

These steps can also be used to add serial or lot numbers, when the Add Serial/Lot Number option is selected.

See also

Reading Serial or Lot Numbers from a File

Replacing and then Copying and Pasting Serial Numbers

Viewing Transactions for a Serial or Lot Number

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Reading Serial or Lot Numbers from a File

To read serial numbers from file, follow these steps:

  1. Open the Copy and Paste window.
  2. In File Path, select the file that contains the serial or lot numbers you want.
  3. Select Process File, which transfers the serial or lot numbers to the Serial/Lot Number Entry window.

See also

Copying and Pasting Serial or Lot Numbers

Reading Serial or Lot Numbers from a File

Replacing and then Copying and Pasting Serial Numbers

Viewing Transactions for a Serial or Lot Number

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Replacing and then Copying and Pasting Serial Numbers

To replace, and then copy and paste serial numbers, follow these steps:

  1. Open the Copy and Paste window.
  2. Select Replace Serial Numbers.
  3. To process text, do the following:
    1. Copy and then paste serial numbers to the Text box.
    2. Select Process Text, which replaces the serial numbers with the numbers from the Text box and then transfers the serial numbers to the Sales Serial Number Entry window.
  4. To process a file, do the following:
    1. In File Path, select the file that contains the serial numbers you want.
    2. Select Process File, which replaces the serial numbers with the numbers from the file and then transfers the serial numbers to the Sales Serial Number Entry window.

These steps replace only the automatically generated serial numbers that have the mask ID based on the settings in the Serial Mask Setup window. When you process text, all references are updated from the old serial number to the new serial number.

See also

Copying and Pasting Serial or Lot Numbers

Reading Serial or Lot Numbers from a File

Replacing and then Copying and Pasting Serial Numbers

Viewing Transactions for a Serial or Lot Number

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Viewing Transactions for a Serial or Lot Number

To view the transactions for the serial or lot numbers for a specified item, follow these steps:

  1. Open the Copy and Paste window, and copy and paste serial or lot numbers to a Serial/Lot Number window.
  2. In the lower scrolling window, double-click a line, which opens the Serial Lot Inquiry window.
  3. If needed, in the Text box specify the serial or lot numbers. Or in File Path, select a file.
  4. Select Show All Transactions to show all posted and unposted transactions for all affected modules. Otherwise, leave the option cleared, which only shows the most recent posted and unposted transactions for all affected modules.

    5. Note icon. Note: If you select Show All Transactions and the inquiry spans many datasets, the the search for transactions can take a considerable amount of time to complete.

  5. Depending on whether you used the Text box or File Path, select Process Text or Process File.

See also

Copying and Pasting Serial or Lot Numbers

Reading Serial or Lot Numbers from a File

Replacing and then Copying and Pasting Serial Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Windows

Articles within this category provide information about the functionality of the windows within SLNP, including fields and buttons.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Order Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Sales > Sales Order Processing > Sales Document Setup > Order

Use this window to set up multiple order documents, select default options for transferring orders to fulfillment orders, invoices or back orders, and select options for entering and maintaining order documents.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Set Allocate by to Line Item to allocate items as you enter them on the sales order so that you can select the serial number to rename.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Order Processing Setup Options: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Sales > Sales Order Processing > Options button

Use this window to select tax calculation options, specify options to override defaults and allow certain options, and set passwords that provide user access to forms and procedures.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

In the Options list, ensure that Auto-Assign Serial Numbers and Auto-Assign Lot Numbers are cleared.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Mask Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Serial Mask Setup

Use this window to enter the default Serial Mask ID and Start Number to be used for automatically generating serial numbers during receiving.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Attribute Setup: Overview

Button showing that window Overview page is currently viewed.

Cards > Inventory > Item > Options > Serial Attributes

Use this alternate window to keep track of serial attribute labels. You can create up to 40 fields, including string, check box, integer, double (currency), date, and constant for each individual entity.

Serial attribute information is entered in a separate window that can be accessed from the purchasing Serial Number Entry window by selecting the expansion button Expansion Arrow icon..

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy and Paste: Overview

Button showing that window Overview page is currently viewed.

Copy and Paste button
Additional menu > Copy and Paste

Use this window to copy serial or lot numbers from any delimited data format files for transaction processing. Vendors usually provide Microsoft Excel files containing serial numbers for items. You can then delete or edit the serial numbers on this window as needed.

Notes:

  • Depending from which type of window the Copy and Paste window is opened, you can only enter either serial numbers or lot numbers. You cannot enter both serial numbers and lot numbers at the same time for the same copy and paste action.
  • If duplicate serial or lot numbers are entered or the numbers are entered more than once, an error message appears.
    A validation against the work and history tables is performed to ensure that each serial or lot number has not been entered in the current transaction or on a transaction in the history.
  • Only the number of serial or lot numbers specified in the Extended Quantity in the Serial/Lot Number Entry window can be processed. Any additional numbers are discarded.

You can open this window from the Copy and Paste button from the following windows:

  • In-Transit Transfer Entry
  • Purchasing Serial Number Entry
  • Purchasing Lot Number Entry
  • Sales Serial Number Entry
  • Sales Lot Number Entry
  • Item Serial Number Entry
  • Item Lot Number Entry
  • Item Transfer Serial Number Entry
  • Item Transfer Lot Number Entry
  • Item Bin Transfer Serial Number Entry
  • Assembly Serial/Lot Entry

You can open this window from the Additional > Copy and Paste menu from the following windows:

  • Manufacturing Component Serial Number Select
  • RMA Line Serial Numbers

See also

Copying and Pasting Serial or Lot Numbers

Reading Serial or Lot Numbers from a File

Replacing and then Copying and Pasting Serial Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Lot Inquiry: Overview

Button showing that window Overview page is currently viewed.

Various ways to open this window

Use this window to view the transactions for the serial or lot numbers for a specified item.

Note icon. Note: If you select Show All Transactions and the inquiry spans many data sets, the search for transactions can take a considerable amount of time to complete.

You can access this window from the following windows:

  • Copy and Paste - double-click a line item
  • Serial/Lot Trace Inquiry - select the Copy and Paste button

See also

Viewing Transactions for a Serial or Lot Number

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Serial Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Receiving > Receiving Transaction Entry > Receiving Item Detail Entry > Serial/Lot button

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When Allow Serial Attributes on the Serial Mask Setup window is selected, you can save attributes for serial numbers generated using the Copy and Paste window and for serial numbers generated using the Microsoft Dynamics GP Auto-Generate button or the Manual Serial Number Entry box on the Serial Number Entry window. See also the Serial Attribute Entry window.

See also

Copying and Pasting Serial or Lot Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Attribute Entry: Overview

Button showing that window Overview page is currently viewed.

Transaction > Purchasing > Receiving Transaction Entry >Item expansion button > Serial/Lot button > Selected expansion button

Use this window to track and update the serial attribute information related to the selected serial number.

If a box has a constant value that was set up in the Serial Attribute Setup window, such as Handset123, you cannot change the value in this window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Lot Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Receiving > Receiving Transaction Entry > Receiving Item Detail Entry > Serial/Lot button

Use this window to enter lot numbers for POP transactions.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

See also

Copying and Pasting Serial or Lot Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


In-Transit Serial Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Service Call Management > In-Transit Transfer Entry
Transactions > Purchasing > Receiving Transaction Entry > In Transit Serial Number Entry

Use this window to specify the serial numbers of serial-numbered items in an in-transit inventory receipt.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

See also

Copying and Pasting Serial or Lot Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Serial Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry > Sales Item Detail Entry > Serial/Lot button

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Copying and Pasting Serial or Lot Numbers

Replacing and then Copying and Pasting Serial Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Lot Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Receiving > Receiving Transaction Entry > Receiving Item Detail Entry > Serial/Lot button

Use this window to enter lot numbers for SOP transactions.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

See also

Copying and Pasting Serial or Lot Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Serial Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Inventory > Transaction Entry > Serial/Lot button

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Copying and Pasting Serial or Lot Numbers

Replacing and then Copying and Pasting Serial Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ItemLot Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Inventory > Transaction Entry > Serial/Lot button

Use this window to enter lot numbers for inventory transactions.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

See also

Copying and Pasting Serial or Lot Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Transfer Serial Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Inventory > Transfer Entry > Serial/Lot button

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Copying and Pasting Serial or Lot Numbers

Replacing and then Copying and Pasting Serial Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item TransferLot Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Inventory > Transfer Entry > Serial/Lot button

Use this window to enter lot numbers for inventory transactions.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

See also

Copying and Pasting Serial or Lot Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Stock Count Serial Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Inventory > Transaction Entry > Serial/Lot button

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Copying and Pasting Serial or Lot Numbers

Replacing and then Copying and Pasting Serial Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Transfer Line Entry - Serial: Overview

Button showing that window Overview page is currently viewed.

Transactions > Inventory > In-Transit Transfer Entry > Transfer Line Entry - Serial

When SLNP is installed, the Additional menu is available on the Transfer Line Entry - Serial window. From this menu, you can open the Copy and Paste window. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in the Transfer Line Entry - Serial window. You can process only the number of serial or lot numbers specified in the Extended Quantity in the Transfer Line Entry - Serial window. Any additional numbers are discarded.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Copying and Pasting Serial or Lot Numbers

Replacing and then Copying and Pasting Serial Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial/Lot Trace Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Inventory > Serial/Lot Trace

Use this window to track the life cycle of serial or lot numbers.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When SLNP is installed, the Copy and Paste button is available, which allows you to perform a transaction inquiry on a group of serial numbers.

See also

Viewing Transactions for a Serial or Lot Number

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Bin Transfer Serial Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Inventory > Bin Transfer Entry > Serial/Lot button

Use this window to specify the serial numbers of items that you transfer from one bin to another within a site. To automatically fill in the serial numbers in the Available list, selectAuto Fill.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

See also

Copying and Pasting Serial or Lot Numbers

Reading Serial or Lot Numbers from a File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assembly Serial/Lot Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Inventory > Assembly Entry > Serial/Lot Button

Use this window to specify the lot and serial numbers of components for assemble quantities and for quantity shortage overrides.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When SLNP is installed, the Copy and Paste button is available. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in this window.

See also

Copying and Pasting Serial or Lot Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Number Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Inventory > Serials

Use this window to view information about the serial numbers of an item at a specific site or across all sites.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

In the scrolling window, the Serial Number expansion Expansion Arrow icon. button is available when the Allow Serial Attributes on the Serial Mask Setup window is selected. Select this button to open the Serial Attribute Entry window.

For serialized items that are received in Microsoft Dynamics GP, any inquiry displays the attributes (field names and values) that were recorded at the time of receiving. For the same items that have not yet been received in Microsoft Dynamics GP, any inquiry displays the current attributes.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


RMA Line Serial Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Returns Management > RMA Entry/Update > RMA Line Expansion > Serial/Lot button

When SLNP is installed, the Additional menu is available on the RMA Line Serial Numbers window. From this menu, you can open the Copy and Paste window. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in the RMA Line Serial Numbers window. You can process only the number of serial or lot numbers specified in the Extended Quantity in the RMA Line Serial Numbers window. Any additional numbers are discarded.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Copying and Pasting Serial or Lot Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Manufacturing Serial Number Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Manufacturing > Manufacturing Orders > Entry > Serial Number Expansion button

When SLNP is installed, the Additional menu is available on the Manufacturing Component Serial Number Select window. From this menu, you can open the Copy and Paste window. The copy and paste functionality helps you streamline data entry, reduce data entry errors, and increase your operational efficiency.

When you use the copy and paste functionality, all serial numbers are automatically entered in the Manufacturing Component Serial Number Selection window.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

The Manufacturing Serial Number Entry window shows the auto generated serial numbers based on the settings from the Manufacturing Order Entry window (Transactions > Manufacturing > Manufacturing Orders > MO Receipt Entry > Receipt Quantity Expansion button).

See also

Copying and Pasting Serial or Lot Numbers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Equipment Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Service Call Management > Equipment

When SLNP is installed, the Additional menu is available. From this menu, you can open the Serial Attribute Entry window. This menu is available only when Allow Serial Attributes on the Serial Mask Setup window is selected.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Multiple Equipment Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Service Call Management > Multiple Equipment Inquiry

Use this window to show all information for the serial numbers that are in the specified file or typed in the Text box.

You can use this window only when the Field Service Product is installed.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Replace Serial Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Replace Serial Utility

Use this window to select an item and display the serial numbers for the item starting with the serial mask ID specified in the Serial Mask Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Replace Serial Number: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Replace Serial Utility > Replace button

Use this window to replace the serial numbers for the item selected in the Replace Serial Number Utility window with new serial numbers.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Reassign Serial Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Reassign Removed Serial Utility

Use this window to reassign a serial number with a temporary serial number. When the process is complete, the Reassign Removed Serial Number Utility Report is printed.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Software Inc., Trademarks, and Disclaimers

Binary Stream is an award-winning, Microsoft Gold certified partner that develops enterprise-grade, add-on software to enhance Microsoft Dynamics 365 Finance, Dynamics 365 Business Central, and Dynamics GP.

As a 7-time President's Club award winner and frequent ISV of the year finalist, Binary Stream is among the top 5% of Microsoft Dynamics partners worldwide and continues to be a leading solution provider to customers in the finance, healthcare, hospitality, real estate, manufacturing telecom, and software industries.

Covering critical functions including subscription billing automation, lease administration, multi-entity management, and supply chain optimization, our solutions have supported thousands of users in over 30 countries.

Copyright

Copyright © 2025 Binary Stream Software Inc. Published in Canada. All rights reserved.

Intellectual Property

This document does not provide you with any legal rights to any intellectual property in any Binary Stream product.

Your right to copy this documentation is limited by copyright law and the terms of the software license agreement. As such, you may only copy and use this document for your internal, reference purposes.

Limitation of Liability

Binary Stream Software Inc. assumes no responsibility or liability for any errors or inaccuracies that may appear in this manual. Information and views expressed in this document may change without notice. Examples depicted herein are provided for illustration only.

Trademarks

Microsoft, Microsoft Dynamics, Dexterity, Excel, Outlook, SQL Server, and Windows are registered trademarks of the Microsoft group of companies. All other trademarks are the property of their respective owners, including product names for Binary Stream Software.

The names of companies, products, people and/or data used in window illustrations and sample output are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

Warranty Disclaimer

Binary Stream Software Inc. disclaims any warranty regarding any sample code contained in this documentation, including the warranties of merchantability and fitness for a particular purpose.

License Agreement

Use of this product is covered by a license agreement provided by Binary Stream Software Inc. If you have any questions, please call the Binary Stream office at +1.604.522.6300.

Support Versions

Serial & Lot Number Processing for Microsoft Dynamics GP is supported in Canada and the United States.

Last updated: Thursday, December 18, 2025

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support

If you require support, or want the latest information about your software, visit the Binary Stream Portal (https://portal.binarystream.com/) External link. You can access the following information and services from the Binary Stream Portal:

  • Product information and downloads - provides the latest product information and software downloads
  • Knowledge base - provides you with solutions to common issues that customers experience
  • Frequently asked questions - provides you with answers to frequently asked general questions about Binary Stream and Binary Stream products
  • Help desk - provides you with a way to submit new support cases for issues that you experience and cannot find a solution; you can also update your existing support cases

For sales and purchasing information, visit www.binarystream.com [image] .

For more information about Binary Stream support, review the following:

  • Customer support policy
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Tips for Using the Documentation

To search for the content you want, use one of the following options:

  • Select the Contents tab, and browse through the article names.
  • Select the Index tab, and type keywords for content that you want.
  • Use the Search box to search for keywords or phrases.
    Tip: To search for a phrase, put quotation marks around the phrase. For example, "big red car".

Images within the Documentation

Many of the images that appear in the documentation are smaller than the actual size. To view the full-size of an image, select the image. Selecting the full-size image closes it and returns you to the content you are reviewing.

For example, select the following image of the Binary Stream Portal to see the full-size version of the image:

Note icon. Note: You might have to make the size of your window larger to be able to see the full-size image properly.

Tip: For large images, maximize the size of the window before you select the image to view it.

Videos within the Documentation

Some articles include videos that provide more information about a particular setting or a task. When you select the link to watch a video, the video opens in a new web browser tab or window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Extra Windows for All Binary Stream Programs

For the Microsoft Dynamics GP 2016 Web Client, Microsoft introduced a change such that only one Microsoft Dynamics GP window can be active at a time. So if you are not using the alternate window for the Binary Stream program, the extra window is not visible. Instead, the extra window is hidden behind the currently active window.

Use one of the following methods to access the Binary Stream extra window:

  • In the active window, select the Additional button, and then select the extra window you want to make active.
  • In the Web client Navigation pane, select the Window Search [image] button, which opens the Search for a Form or Report window. In the search window, select the extra window you want to make active.

After you select the extra window, it becomes the active window and appears in front of the main Microsoft Dynamics GP window.

See also

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Dialog

Use this window to view the following information:

  • Binary Stream head office address and support contact
  • Microsoft Dynamics GP version number
  • Microsoft SQL Server version number
  • List of installed Binary Stream programs and their information

Tip: To print a report about the Binary Stream programs that you have installed, select Print.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integrations with Other Binary Stream Programs

Serial & Lot Number Processing currently integrates with the following Binary Stream programs:

  • While eMailer Manager does not explicitly integrate with any specific Binary Stream program, it is compatible with all Binary Stream programs.
  • Multi-Entity Management (MEM)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Documentation for Serial & Lot Number Processing

Welcome to the documentation for Serial & Lot Number Processing for Microsoft Dynamics GP.

The documentation provides information in the following categories:

  • Installation
  • Concepts
  • Examples
  • Workflows and Procedures
  • Windows
  • Integration

In the Contents tab, a book icon representing each category is available. Expand a book to view the articles within the category. If a book does not appear for a category, information within the category is not available for SLNP.

For tips on how to find the content you want, see Using the documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Alternate Forms and Reports

To be able to use the windows and reports from Serial & Lot Number Processing in the Microsoft Dynamics GP modules that you have purchased and registered, you must enable the alternate SLNP window and reports.

To use the alternate windows and reports, follow these steps:

  1. In Microsoft Dynamics GP, open the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).
  2. Specify an ID and Description for the set of alternate forms and reports that you are creating for your users.
    For example, in ID, type SLNP_USER and in Description, type Alternate forms and reports for SLNP.
  3. In Product, select Serial & Lot Number Processing.

    4. Note icon. Note: A known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available. For more information, review the Known Issues and Limitations.

  4. To use the SLNP alternate forms instead of the Microsoft Dynamics GP version, do the following:
    1. In Type, select Windows.
    2. To display windows for a particular Microsoft Dynamics GP series, in Series, select the series you want to see.
    3. In Alternate/Modified Forms and Reports List, expand each Microsoft Dynamics GP series name, and then expand the window name.
    4. For each window where you want to use the SLNP alternate form instead of the Microsoft Dynamics GP version, select the Serial & Lot Number Processing option.
      For example, select the SLNP alternate version of the window in the selected Microsoft Dynamics GP series.
      Tip: To change to use all SLNP alternate forms in a single action, set the Select box to Serial & Lot Number Processing, and then select Change All.
  5. To use the SLNP alternate reports instead of the Microsoft Dynamics GP version, repeat the previous step with Type set to Reports.
    For example, select the SLNP alternate version of the report in the selected Microsoft Dynamics GP series.
  6. When you are finished, select Save.
  7. Repeat these steps for each Microsoft Dynamics GP series for which you purchased the corresponding module.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial & Lot Number Processing Installation Overview

Review this information for installing the Binary Stream program in your Microsoft Dynamics GP environment. When you install the latest version of Serial & Lot Number Processing (SLNP), you perform the following activities:

  • Downloading and extracting the installation files
  • Uninstalling the previous version and exporting modified forms and reports
  • Installing the latest version on Windows and in GP
  • Registering your software and importing modified forms and reports

Also, you can review information on shortcut and security setup, troubleshooting, and removing SLNP.

Only a qualified and experienced Microsoft Dynamics GP consultant should install and configure third-party software for Microsoft Dynamics GP. If your authorized reseller cannot install this software, Binary Stream Software can recommend a suitable consultant.

Important: Before you begin the installation and as a best practice, back up your environment (including all Microsoft Dynamics GP folders and Microsoft Dynamics GP databases). If any issues arise during installation, the backup copy of your environment provides a starting point for restoring your environment.

Note icon. Note: The Pathnames window is not currently supported.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up User Security

For all users, except the system administrator (sa), you must set up a security task and a security role that gives user access to custom Serial & Lot Number Processing windows (forms) and reports.

To set up security for a custom window, complete the following activities:

  1. Create a security task.
  2. Create a security role to allow access to the security task.
  3. Assign a security role to a user.

Note icon. Note: Depending on your security requirements, you might want to setup several security tasks.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Buttons

Cancel

Closes the window.

Redisplay

Updates the scrolling window or list view.

Select

Selects the currently-highlighted record, closes this window, and updates the previous window with the information for the selected record.

You also can double-click the record in the scrolling window to select it.

Sort

Sorts the information in the window according to the column heading shown on the button.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Fields

Find by

Specify the name or identifier of the record you want. When you press Tab on the keyboard, the list scrolls to the record that most closely matches the text you type. The label for this field changes and is based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window

Button showing that window Overview page is currently viewed.

lookup button

Use this window to select the record you want to view or edit. The fields, buttons, and list view colunms differ based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Attribute Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Attribute Setup: Fields

Constant Value

Specify a constant value. You can specify any alphanumeric constant up to a maximum of 60 characters. Available only when Field Type is Constant.

The constant value also appears in the Serial Attribute Entry window. If you change a Constant Value in the Serial Attribute Setup window, the change is only reflected in the next receiving transaction for the serial item. Any existing or history transactions are not updated.

Field Name

Specify a field name.

Field Type

Select the data type for the field:

  • String
  • Check Box
  • Integer
  • Double (currency)
  • Date
  • Constant
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Mask Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Mask Setup: Fields

Allow Renaming Serial Numbers

Select to use the renaming serial number function. When this option is cleared, the renaming serial number function is not used.

Allow Serial Attributes

Select to be able to enter serial attributes for a serial item, or import serial attributes attached to the serialized item against the serial number during the receiving process.

When this option is cleared, serial attributes are not allowed.

Auto Fill Serial Numbers

Select to automatically enter the serial numbers in the Item Bin Transfer Serial Number Entry window. Also, the Auto-Fill button on that window is not available.

When this option is cleared, the serial numbers are not automatically entered in the Item Bin Transfer Serial Number Entry window, and the Auto-Fill button is available.

Auto Generate Serial Numbers

Select to automatically generate serial numbers in the following windows:

  • Purchasing Serial Number Entry
  • Item Serial Number Entry
  • Manufacturing Serial Number Pre-Entry
  • Manufacturing Serial Number Entry

New serial numbers are generated in the Available list to replace old serial numbers that have been removed from the Selected list in the Sales Serial Number Entry window. That is, when you select Remove or Remove All, the old serial numbers in the Selected list are not returned to the Available list. Instead, newly generated numbers appear in the Available list.

When this option is cleared, serial numbers are not automatically generated.

Serial Mask ID

Specify the serial mask ID.

Start Number

Specify the number at which you want the automatic serial numbering to start.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assembly Serial/Lot Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy and Paste: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Copy Available

Displays all available serial or numbers from the Microsoft Dynamics GP window to the Text box. When you select this button, you can select the following options:

  • As Listed: Copies the available serial or lot numbers in the same order as they appear on the Serial/Lot Number Entry window.
  • Sort By Receipt Date: Copies the available serial or lot numbers and sorts them by the receipt date. In the Text box, the receipt date is displayed.

Note icon. Note: A limitation exist in the Microsoft Dynamics GP WebClient, where using Process File or Process Text does not transfer the serial or lot numbers as you expect. Instead, to transfer serial or lot numbers, use Copy Available and select As Listed.

OK

Closes the window.

Process File

Transfers serial numbers from file to the Serial Number Entry window. When you use this process option the data can be comma delimited only.

Process Text

Transfers the serial or lot numbers from the Text box to the Serial/Lot Number Entry window. When you use this process option the data can be comma delimited or new line delimited.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy and Paste: Fields

Add Lot Number

Select to copy new lot numbers to the data table and then insert them to the Lot Number Entry window. This option is useful when you enter or copy data from a file. Available when this window is opened from the Item Transfer Lot Number Entry or Assembly Serial/Lot Entry windows.

Add Serial Number

Select to copy new serial numbers to the data table and then insert them to the Serial Number Entry window. This option is useful when you enter or copy data from a file. Available when this window is opened from one of the following windows:

  • Item Serial Number Entry (for negative inventory)
  • Item Transfer Serial Number Entry
  • Stock Count Serial Number Entry
  • Transfer Line Entry
  • Assembly Serial/Lot Entry

Allow Serial Attributes

Select to import the serial numbers and attributes in the file. This option is available if you selected Allow Serial Attributes on the Serial Mask Setup window and when this window is opened from the Purchasing Serial Number Entry window.

When selected, the first line in the text or file to be processed should be the file column heading, which defines the data in the lines that follow. This heading defines the first column as the Serial Number and the columns following as the exact names of the serial attributes.

When this option is cleared, the file column heading is no longer needed. The first line when processing the text or file is the serial number.

File Path

Select the file that contains the new serial numbers.

Replace Serial Numbers

Select to replace the serial numbers for the selected item. Available when this window is opened from the Sales Serial Number Entry window.

Text box

Type or paste the serial or lot numbers you want. Each serial or lot number entry must be on a separate line.

A lot number entry requires two columns: one for the lot number, one for the quantity. To enter lot (or serial) numbers and quantities, specify the lot number, press Tab, and then specify the quantity.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Multiple Equipment Inquiry: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

OK

Closes the window.

Process File

Displays all information for the serial numbers that are in the text file specified in the File Path.

Process Text

Displays all information for the serial numbers that are typed in the Text box.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Multiple Equipment Inquiry: Fields

File Path

Select the file that contains the new serial numbers.

Text box

Specify the serial numbers you want to view. Each serial number must be on a separate line.

Tip: To avoid any typing errors, you can copy and paste the serial numbers from a file.

Scrolling Window

Displays all information for the serial numbers that are in the specified file or typed in the Text box.

The scrolling window displays the following columns:

  • Equpiment ID
  • Item Number
  • Serial Number
  • Customer ID
  • Address ID
  • Address Info
  • Vendor Warranty Type
  • Warranty Start Date
  • Warranty End Date
  • Seller Warranty Type
  • Warranty Start Date
  • Warranty End Date
  • Ship Date
  • Install DAte
  • Reference
  • Version
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Lot Inquiry: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

OK

Closes the window.

Process File

Processes the serial numbers from the specified file and displays the posted and unposted transactions for all affected modules.

Process Text

Processes the serial or lot numbers from the Text box and displays the posted and unposted transactions for all affected modules.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Lot Inquiry: Fields

File Path

Select the file that contains the serial numbers on which you want to run the inquiry.

Show All Transactions

Select to show all posted and unposted transactions for the serial or lot numbers that are associated with the selected item. All transactions from all affected modules appear in the scrolling window.

When this option is cleared, only the most recent posted and unposted transaction for the serial or lot number from each affect module appears in the scrolling window.

Affected modules include SOP, Invoicing, POP, Stock Count, Inventory, and Bill of Materials.

Text box

Type or paste the serial or lot numbers you want. Each serial or lot number entry must be on a separate line.

Scrolling Window

Displays all information for the serial numbers that are in the specified file or typed in the Text box.

The scrolling window displays the following columns:

  • Serial/Lot Number
  • Status
  • Origin
  • Document Type
  • Document Number
  • Posted
  • Date
  • Location
  • Unit Cost
  • User ID
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial/Lot Trace Inquiry: Buttons

Copy and Paste

Opens the Serial Lot Inquiry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


In-Transit Serial Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Bin Transfer Serial Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Lot Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Serial Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Transfer Lot Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Transfer Serial Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Serial Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Lot Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Replace Serial Number: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

OK

Closes the window.

Process File

Replaces all the serial numbers that appear on the Replace Serial Number Utility with the new serial numbers specified in the file.

Process Text

Replaces all the serial numbers that appear on the Replace Serial Number Utility with the new serial numbers specified in the serial number box. Also, all references are updated from the old serial numbers with the new serial numbers.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Replace Serial Number: Fields

File Path

Select the file that contains the new serial numbers.

Displays the item number.

The item number from the Replace Serial Number Utility window.

Text box

Specify the new serial numbers. Each serial number must be on a separate line.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Lot Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Serial Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Attribute Entry: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves the attributes for serial numbers generated using the Copy and Paste window and for serial numbers generated using the Microsoft Dynamics GP Auto-Generate button or the Manual Serial Number Entry box on the Serial Number Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Serial Attribute Entry: Fields

Item Description

Displays the description for the item.

Displays the item number.

The item number is from the Purchasing Serial Number Entry window.

Serial Number

Displays the selected serial number from the scrolling window of the Purchasing Serial Number Entry window..

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Stock Count Serial Number Entry: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Transfer Line Entry - Serial: Buttons

Copy and Paste

Opens the Copy and Paste window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Reassign Serial Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

OK

Closes the window.

Process

Reassigns a temporary serial number to the selected records.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Reassign Serial Utility: Fields

Description

Displays the description for the item.

Item Number

Select the item number.

Ranges

Select the range by which you want to display data: Location Code.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Item Number
  • Location Code
  • Serial Number
  • Bin
  • Vendor Number
  • Date Received
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Replace Serial Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

OK

Closes the window.

Redisplay

Updates the scrolling window or list view.

Replace

Opens the Replace Serial Numbers window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Replace Serial Utility: Fields

Description

Displays a description of the item.

Item Number

Select the item number.

Scrolling Window

Displays all serial numbers for the item that you selected.

The scrolling window displays the following columns:

  • Serial Number
  • Bin
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.